Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 525534 - =sys-cluster/openmpi-2.0.2 please stabilize
Summary: =sys-cluster/openmpi-2.0.2 please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Justin Bronder (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 540324 547196 595656
Blocks: 536114
  Show dependency tree
 
Reported: 2014-10-16 05:21 UTC by Justin Bronder (RETIRED)
Modified: 2017-03-10 11:00 UTC (History)
2 users (show)

See Also:
Package list:
=virtual/mpi-2.0-r4 =sys-cluster/openmpi-2.0.2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Bronder (RETIRED) gentoo-dev 2014-10-16 05:21:00 UTC
src_test() is expected to pass.

Thanks,
Comment 1 Chema Alonso Josa (RETIRED) gentoo-dev 2014-12-24 17:42:03 UTC
emerge -1 =sys-cluster/openmpi-1.8.1 pulls unstable deps:

# required by sys-cluster/openmpi-1.8.1
# required by =sys-cluster/openmpi-1.8.1 (argument)
=sys-apps/hwloc-1.10.0-r1 ~amd64
Comment 2 Pacho Ramos gentoo-dev 2015-04-18 10:14:48 UTC
1.8.1 was removed, what is the new candidate?
Comment 3 Justin Bronder (RETIRED) gentoo-dev 2015-04-20 16:21:33 UTC
(In reply to Pacho Ramos from comment #2)
> 1.8.1 was removed, what is the new candidate?

1.8.4-r2 as of right now, but the ticket to stabilize hwloc just got filed.
Comment 4 Justin Bronder (RETIRED) gentoo-dev 2015-05-12 15:10:37 UTC
Updated target version.  r4 is exactly the same as r2 but was bumped to make sure that the multilib port (which was removed) was not the newest revision.
Comment 5 Tobias Klausmann gentoo-dev 2015-07-05 13:45:15 UTC
Stable on alpha
Comment 6 Pacho Ramos gentoo-dev 2015-07-23 19:43:45 UTC
ppc stable
Comment 7 Pacho Ramos gentoo-dev 2015-08-02 09:55:16 UTC
sparc stable
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2015-08-24 05:21:28 UTC
Stable for PPC64.
Comment 9 Agostino Sarubbo gentoo-dev 2015-09-24 14:29:02 UTC
This request cannot be completed because of the following repoman error(s):

  dependency.bad [fatal]        28
   sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: amd64(default/linux/amd64/13.0)
[     'sys-infiniband/ofed',
      'sys-cluster/knem',
      'sys-cluster/open-mx',
      'sys-infiniband/infinipath-psm',
      'sys-cluster/slurm']



Since the amd64 team is unable to continue this task, I'm removing the amd64 arch team from the CC field. Feel free to cc the amd64 arch team again when you provide the complete list of the missing dependencies.
Comment 10 Agostino Sarubbo gentoo-dev 2015-09-25 14:31:39 UTC
This request cannot be completed because of the following repoman error(s):

  dependency.bad [fatal]        22
   sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: x86(default/linux/x86/13.0)
[     'sys-infiniband/ofed',
      'sys-cluster/knem',
      'sys-cluster/open-mx',
      'sys-infiniband/infinipath-psm',
      'sys-cluster/slurm']



Since the x86 team is unable to continue this task, I'm removing the x86 arch team from the CC field. Feel free to cc the x86 arch team again when you provide the complete list of the missing dependencies.
Comment 11 Agostino Sarubbo gentoo-dev 2015-11-18 10:52:08 UTC
I can't go ahead because of:

  dependency.bad [fatal]        14                                                                                                                                                                                                                                             
   sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0)                                                                                                                                                                                          
['>=sys-apps/hwloc-1.9.1[numa?]']
Comment 12 Agostino Sarubbo gentoo-dev 2016-12-28 08:34:17 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 13 Agostino Sarubbo gentoo-dev 2016-12-28 08:37:19 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 14 Michael Palimaka (kensington) gentoo-dev 2016-12-28 16:05:47 UTC
An automated check of this bug failed - repoman reported dependency errors (25 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: RDEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
Comment 15 Stabilization helper bot gentoo-dev 2017-01-04 07:10:57 UTC
An automated check of this bug failed - repoman reported dependency errors (25 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: RDEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
Comment 16 Pacho Ramos gentoo-dev 2017-01-11 08:30:56 UTC
(In reply to Stabilization helper bot from comment #15)
> An automated check of this bug failed - repoman reported dependency errors
> (25 lines truncated): 
> 
> > dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> > dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: RDEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']
> > dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: ia64(default/linux/ia64/13.0) ['>=sys-apps/hwloc-1.9.1[numa?]']

bug 595656 is supposedly handling that... but it is still failing :/... maybe due to the ia64 use.mask of numa

Also, I see that most arches unCCed from here due to missing deps in the past... then, maybe we could think on a newer version and CC them again with the updated list
Comment 17 Justin Bronder (RETIRED) gentoo-dev 2017-01-11 14:10:11 UTC
=sys-cluster/openmpi-2.0.1 would be the best target at this point.  The multilib bits are required by boost (#593056).

As a bonus, the troublesome keywords have been dropped.  However, we then need to stabilize the following (adding Alexey to cc as I don't know the state of them)
  sys-fabric/ofed
  sys-cluster/knem
  sys-fabric/infinipath-psm
  sys-cluster/slurm
Comment 18 Stabilization helper bot gentoo-dev 2017-01-27 21:00:56 UTC
An automated check of this bug failed - repoman reported dependency errors (4 lines truncated): 

> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/librdmacm:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12']
> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/librdmacm:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12']
> dependency.bad sys-fabric/ofed/ofed-3.12_rc1.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibcm:3.12', 'sys-fabric/libibmad:3.12', 'sys-fabric/libibumad:3.12', 'sys-fabric/librdmacm:3.12', 'sys-fabric/dapl:3.12', 'sys-fabric/infiniband-diags:3.12', 'sys-fabric/ibacm:3.12', 'sys-fabric/mstflint:3.12', 'sys-fabric/opensm:3.12', 'sys-fabric/perftest:3.12', 'sys-fabric/qperf:3.12', 'sys-fabric/srptools:3.12', 'sys-fabric/rds-tools:3.12', 'sys-fabric/libcxgb3:3.12', 'sys-fabric/libcxgb4:3.12', 'sys-fabric/libipathverbs:3.12', 'sys-fabric/libmlx4:3.12', 'sys-fabric/libmlx5:3.12', 'sys-fabric/libmthca:3.12', 'sys-fabric/libnes:3.12', 'sys-fabric/libocrdma:3.12']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-cluster/open-mx']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['sys-cluster/open-mx']
> dependency.bad sys-cluster/openmpi/openmpi-1.8.4-r4.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-cluster/open-mx']
> dependency.bad sys-cluster/slurm/slurm-16.05.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-auth/munge']
> dependency.bad sys-cluster/slurm/slurm-16.05.2.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['sys-auth/munge', 'dev-libs/libcgroup']
> dependency.bad sys-cluster/slurm/slurm-16.05.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-auth/munge']
> dependency.bad sys-fabric/infinipath-psm/infinipath-psm-3.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibverbs:3.12']
> dependency.bad sys-fabric/infinipath-psm/infinipath-psm-3.2.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibverbs:3.12']
> dependency.bad sys-fabric/infinipath-psm/infinipath-psm-3.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['sys-fabric/libibverbs:3.12']
Comment 19 Christoph Junghans gentoo-dev 2017-02-05 18:18:40 UTC
Should be fine for arm now.
Comment 20 Stabilization helper bot gentoo-dev 2017-02-05 19:00:32 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=virtual/jdk-1.6', '>=dev-java/java-config-2.2.0-r3']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=virtual/jre-1.6', '>=dev-java/java-config-2.2.0-r3']
Comment 21 Stabilization helper bot gentoo-dev 2017-02-10 19:00:47 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=virtual/jdk-1.6', '>=dev-java/java-config-2.2.0-r3']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=virtual/jre-1.6', '>=dev-java/java-config-2.2.0-r3']
Comment 22 Michael Weber (RETIRED) gentoo-dev 2017-02-10 19:21:47 UTC
arm stable, closing.
Comment 23 Michael Weber (RETIRED) gentoo-dev 2017-02-10 19:25:45 UTC
reopening for other arches to be CC'd.
Comment 24 Michael Weber (RETIRED) gentoo-dev 2017-02-10 19:27:59 UTC
geee, ['>=virtual/jre-1.6', '>=dev-java/java-config-2.2.0-r3'] isn't stable on arm.
Comment 25 Christoph Junghans gentoo-dev 2017-02-10 21:56:32 UTC
(In reply to Michael Weber from comment #24)
> geee, ['>=virtual/jre-1.6', '>=dev-java/java-config-2.2.0-r3'] isn't stable
> on arm.
Masked java use flag on arm!
Comment 26 Stabilization helper bot gentoo-dev 2017-02-10 22:00:39 UTC
An automated check of this bug failed - repoman reported dependency errors (49 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
Comment 27 Stabilization helper bot gentoo-dev 2017-02-12 20:00:38 UTC
An automated check of this bug failed - repoman reported dependency errors (49 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
Comment 28 Michael Weber (RETIRED) gentoo-dev 2017-02-22 22:51:06 UTC
arm stable.
Comment 29 Stabilization helper bot gentoo-dev 2017-02-22 23:00:48 UTC
An automated check of this bug failed - repoman reported dependency errors (41 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
Comment 30 Christoph Junghans gentoo-dev 2017-02-26 16:39:28 UTC
I stable masked the fabrics on amd64 for now, so that user have some more time to test them.
Comment 31 Stabilization helper bot gentoo-dev 2017-03-07 23:01:02 UTC
An automated check of this bug failed - repoman reported dependency errors (17 lines truncated): 

> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: x86(default/linux/x86/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: RDEPEND: x86(default/linux/x86/13.0) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
> dependency.bad sys-cluster/openmpi/openmpi-2.0.2.ebuild: DEPEND: x86(default/linux/x86/13.0/desktop) ['sys-fabric/ofed:*', 'sys-cluster/knem', 'sys-fabric/infinipath-psm:*', 'sys-cluster/slurm']
Comment 32 Christoph Junghans gentoo-dev 2017-03-09 00:27:37 UTC
I stable masked the fabrics on x86 as well.
Comment 33 Stabilization helper bot gentoo-dev 2017-03-09 01:00:59 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 34 Agostino Sarubbo gentoo-dev 2017-03-10 09:09:57 UTC
amd64 stable
Comment 35 Agostino Sarubbo gentoo-dev 2017-03-10 11:00:07 UTC
x86 stable. Closing.